## EmpathySmileyManager EmpathySmileyManager |

## Synopsis

                        EmpathySmileyManager;
                        EmpathySmiley;
    EmpathySmileyManager* empathy_smiley_manager_new        (void);
    void                empathy_smiley_manager_load         (EmpathySmileyManager *manager);
    void                empathy_smiley_manager_add          (EmpathySmileyManager *manager,
                                                             const gchar *icon_name,
                                                             const gchar *first_str,
                                                             ...);
    void                empathy_smiley_manager_add_from_pixbuf
                                                            (EmpathySmileyManager *manager,
                                                             GdkPixbuf *smiley,
                                                             const gchar *first_str,
                                                             ...);
    GSList*             empathy_smiley_manager_get_all      (EmpathySmileyManager *manager);
    GSList*             empathy_smiley_manager_parse        (EmpathySmileyManager *manager,
                                                             const gchar *text);
    void                empathy_smiley_free                 (EmpathySmiley *smiley);

## Object Hierarchy

      GObject
       +----EmpathySmileyManager

## Description

## Details

### EmpathySmileyManager

    typedef struct _EmpathySmileyManager EmpathySmileyManager;

### EmpathySmiley

    typedef struct {
    	GdkPixbuf *pixbuf;
    	gchar     *str;
    } EmpathySmiley;

### empathy_smiley_manager_new ()

    EmpathySmileyManager* empathy_smiley_manager_new        (void);

Returns : |

### empathy_smiley_manager_load ()

    void                empathy_smiley_manager_load         (EmpathySmileyManager *manager);

`manager` : |

### empathy_smiley_manager_add ()

    void                empathy_smiley_manager_add          (EmpathySmileyManager *manager,
                                                             const gchar *icon_name,
                                                             const gchar *first_str,
                                                             ...);

`manager` : |
`icon_name` : |
`first_str` : |
`...` : |

### empathy_smiley_manager_add_from_pixbuf ()

    void                empathy_smiley_manager_add_from_pixbuf
                                                            (EmpathySmileyManager *manager,
                                                             GdkPixbuf *smiley,
                                                             const gchar *first_str,
                                                             ...);

`manager` : |
`smiley` : |
`first_str` : |
`...` : |

### empathy_smiley_manager_get_all ()

    GSList*             empathy_smiley_manager_get_all      (EmpathySmileyManager *manager);

`manager` : |
Returns : |

### empathy_smiley_manager_parse ()

    GSList*             empathy_smiley_manager_parse        (EmpathySmileyManager *manager,
                                                             const gchar *text);

`manager` : |
`text` : |
Returns : |

### empathy_smiley_free ()

    void                empathy_smiley_free                 (EmpathySmiley *smiley);

`smiley` : |